Skip to content
Kumquat
Esc
↑↓navigate↵open⌘Jpreview

Run History At

What this instance looked like at that checkpoint.

GET/api/v1/runs/{run_id}/history/at
Authorization
AuthorizationBearer token · headerrequired
or
AuthorizationOAuth2 access token · headerrequired
Path parameters
run_idstringrequired
Query parameters
atstring<date-time>required
The checkpoint's own moment
Responses
200Successful Response
successboolean
default: true
dataHistorySnapshot | any
Show properties
Any of:
HistorySnapshot
definitionobject
ui_stateobject
restorableboolean
default: false
any
any
messagestring | any
Show properties
Any of:
string
string
any
any
errorsstring[] | any
Show properties
Any of:
string[]
Array of string
string
any
any
422Validation Error
detailValidationError[]
Show properties
Array of ValidationError
locstring | integer[]required
Show properties
Array of string | integer
Any of:
string
string
integer
integer
msgstringrequired
typestringrequired
inputany
ctxobject
Request
curl -X GET "/api/v1/runs/string/history/at?at=2019-08-24T14%3A15%3A22Z" \
  -H "Authorization: Bearer YOUR_TOKEN"
Response
{
  "success": true,
  "data": {
    "definition": {},
    "ui_state": {},
    "restorable": false
  },
  "message": "string",
  "errors": [
    "string"
  ]
}